<?php
 if(!isset($_SESSION)) { 
        session_start(); 
    }
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
include("DF20000.php");
include("res_grupos_AL.php");
include('cat_grupos_CL2.php');
include("DMMYSQLG.php");

?>
<html>
<head>
<title>CENTRO COSTOS</title>
</head>
<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<body>
<?php

$fec=$_POST['t7'];
//echo 'todo bien hasta aqui';
  
$varible_clase = new clase();
$variable_clase=new clasegp();
//GRUPOS
    //if(!isset($_POST['tap1']))$_POST['tap1']="";
	//$varible_clase->n_reg=strtoupper($_POST["tap1"]);
    //if(!isset($_POST['tap1']))$_POST['tap1']="";
	//$varible_clase->gdescrip=strtoupper($_POST["tap2"]);
    
    //if(!isset($_POST['gclave']))$_POST['gclave']="";
	//$varible_clase->gclave=strtoupper($_POST["gclave"]);
    
	//$varible_clase->gdescrip=strtoupper($_POST["tap2"]);
    
$variable_clase->gdescrip=strtoupper(isset($_POST["tap2"]))?$_POST["tap2"]:""; //
    
$vart3=(isset($_POST["t3"]))?$_POST["t3"]:"";
$varible_clase->fnombre=strtoupper(isset($_POST["t3"]))?$_POST["t3"]:""; //($_POST["t3"]);
$varible_clase->fapellido=strtoupper($_POST["t4"]);
$varible_clase->ftiphuesped=strtoupper($_POST["t21"]);
$varible_clase->ftelefono=$_POST["t16"];
$varible_clase->ftelemp=$_POST["t9"];
$varible_clase->fmail=$_POST["t5"];
$varible_clase->femail=$_POST["t30"];
$varible_clase->fdireccion=strtoupper($_POST["t20"]);
$varible_clase->fcodagen=strtoupper($_POST["t39"]);
$varible_clase->fcodmeca=strtoupper($_POST["t33"]);
$varible_clase->smerf=strtoupper($_POST["t56"]);
$varible_clase->fempresa=strtoupper($_POST["t38"]);
$varible_clase->fplan=strtoupper($_POST["t53"]);
$varible_clase->codseg=strtoupper($_POST["t52"]);
    
$varible_clase->fcodgrupo=strtoupper($_POST["tap2"]);//nombre grupo(?)
    
$varible_clase->fformpago=strtoupper($_POST["t68"]);
$varible_clase->fnumtar=strtoupper($_POST["t43"]);
$varible_clase->fcodseg=strtoupper($_POST["t37"]);
$varible_clase->fsaldo=strtoupper($_POST["t35"]);
$varible_clase->flimite=strtoupper($_POST["t58"]);
$varible_clase->fnorasvip=strtoupper($_POST["t60"]);

    //$varible_clase->fdireccion=strtoupper($_POST["fdireccion"]);
	$varible_clase->fgntd=strtoupper($_POST["tcol"]);
	$varible_clase->fcp=strtoupper($_POST["tcp"]);
	$varible_clase->fpais=strtoupper($_POST["pais"]);
	$varible_clase->festado=strtoupper($_POST["estados"]);
	$varible_clase->fciudad=strtoupper($_POST["tmun"]);
$varible_clase->status=strtoupper("RESERVA GRUPO");
$varible_clase->fnumctos=strtoupper($_POST["fnumctos"]);
$fecha_alta = date('Y-m-d');
	list($dia,$mes,$ano) = explode ("-",$fecha_alta);
	$varible_clase->mes=$mes;
	$varible_clase->ano=$dia;


	$varible_clase->tex=strtoupper($_POST["tex"]);
	$varible_clase->tex2=strtoupper($_POST["tex2"]);
	$varible_clase->tex3=strtoupper(isset($_POST["tex3"]))?$_POST["tex3"]:""; //($_POST["tex3"]);
	$varible_clase->tex4=strtoupper($_POST["tex4"]);
	$varible_clase->tex5=strtoupper($_POST["tex5"]);
	$varible_clase->tex6=strtoupper($_POST["tex6"]);


$fec = $_POST['ffecllegada'];

	include('DF20000.php');
	$varible_clase->ffecllegada = $f_m;
    $variable_clase->gfechallegada =$f_m;//fecha entrada del grupo
$fec = $_POST['ffecsalida'];
	include('DF20000.php');
	$varible_clase->ffecsalida = $f_m;
    $variable_clase->gfechasalida=$f_m;//fecha salida del grupo

   $varible_clase->ftotal=strtoupper(isset($_POST["ftotal"]))?$_POST["ftotal"]:""; // ($_POST["ftotal"]);	
   $varible_clase->folio=strtoupper("RENTAS");
   $varible_clase->fnumadu=$_POST["t25"];
   $varible_clase->fnummenor=$_POST["t24"];
		       

				$master = mysqli_query($con ,"SELECT * FROM valeryus19 WHERE ftipocto='MAESTRA' and status <> 'HISTORICO' and cancelado='0' order by fnumcto");
				while ($master2 = mysqli_fetch_array ($master)){
		          $master3[] = $master2['fnumcto'];	
				  //echo "master".$master2['fnumcto']."".$master2['n_reg']."<br>";
				}
				  $nu_mas=count($master3);
		          
				    if ($nu_mas == 0){	   
					  $master4 = mysqli_query($con ,"select * from valeryus08 where ntipo = 'MAESTRA' order by ncto desc limit 1");
					}else{
					  for ($ma=0; $ma<= $nu_mas-1; $ma++){	       
					  $master5[] = "ncto <> '$master3[$ma]'";				   
				      }          
		                $where = implode(" and ",$master5);		    
		                 
		                  $master4 = mysqli_query($con ,"select * from valeryus08 where $where and ntipo = 'MAESTRA' order by ncto desc limit 1");
	                }
					  while ($master6 = mysqli_fetch_array($master4)){
		                  $master7 = $master6['ncto'];
						  $tipoMta = $master6['ntipo']; 
		                  $varible_clase->fnumcto=strtoupper($master7);
						  $varible_clase->ftipocto=strtoupper($tipoMta);
                                                  $varible_clase->fnumadu='0';
                                                 $varible_clase->fnummenor='0';
						  //echo "dddddddddddddddddddddddddddddddd".$master7."-->".$tipoMta."<br>";
						  $res=$varible_clase->agregar();
					  }
				             
         for ($i=1;$i<=8;$i++){  
            
        $id = (isset($_POST["box" . $i]))?$_POST["box" . $i]:"";
		        //echo  $id;		
                if($_POST["ingHab" . $i]!="0"){ 
		           //echo "".$_POST["ingHab" . $i]."";
		              $solHab=$_POST["ingHab" . $i];
		             // echo $solHab+"<br>";
		             $uniHab=explode("|",$solHab);		    
		            // print_r($uniHab);
                             echo "<br>";
		  for ($e=0; $e<count($uniHab); $e++){
		 
		  $tipHab=mysqli_query($con ,"SELECT * FROM valeryus08 where ncto='$uniHab[$e]' ORDER BY ncto");
		  while ($tipoHab=mysqli_fetch_array($tipHab)){
		  //echo "-lop".$tipoHab['ncto']."";
		  //echo "-lop".$tipoHab['ntipo']."<br>";
		     
			                  $varible_clase->fnumcto=$tipoHab['ncto'];
							  $varible_clase->ftipocto=strtoupper($tipoHab['ntipo']);
							  $varible_clase->folio=strtoupper("RENTAS");
							  $varible_clase->fnumadu=$_POST["t25"];
                              $varible_clase->fnummenor=$_POST["t24"];
		                      $res=$varible_clase->agregar();
                                   echo 1;   
		  }
		         }

		}
			
}
    
     //CODIGO TEMPORAL DONDE SE EJECUTA EL AGREGADO DEL GRUPO
    //include('cat_grupos_CL.php');
	//$varible_clase = new clase();
    //if(!isset($_POST['tap1']))$_POST['tap1']="";
	//$varible_clase->n_reg=strtoupper($_POST["tap1"]);
	//$varible_clase->gdescrip=strtoupper($_POST["tap2"]);
    //if(!isset($_POST['gclave']))$_POST['gclave']="";
	//$varible_clase->gclave=strtoupper($_POST["gclave"]);
	//$varible_clase->gdescrip=strtoupper($_POST["tap2"]);
	//$varible_clase->gguia=strtoupper($_POST["gcontacto"]);
	//$varible_clase->gcontacto=strtoupper($_POST["gguia"]);
	
	//$fec = $_POST['ffecllegada'];
	//include('DF20000.php');
	//$varible_clase->gfechallegada = $f_m;
	
	
	//$fec = $_POST['ffecsalida'];
	//include('DF20000.php');
	//$varible_clase->gfechasalida = $f_m;

	
	//Revizar si ya existe el registro
	$res=$variable_clase->revisar();
	if($res == "ok"){
		echo '<h2>EL REGISTRO YA EXISTE</h2>';
		echo '<meta content="1; url=res_gruposos_PR.php" HTTP-EQUIV="REFRESH">';
		exit();
	}    	 
	//Ejecuta el codigo de agregar
	$res=$variable_clase->agregar();
	if($res == "ok"){	 
		echo '<h2>NUEVO GRUPO AGREGADO:'.$_POST['tap2'].'</h2>';
		//echo '<meta content="1; url=res_grupos_AG.php"  HTTP-EQUIV="REFRESH">';
	}else{
		echo '<h2>NO SE HA PODIDO AGREGAR EL CATALOGO DE TIPO DE CARGO</h2>';
		echo $res;
		//echo '<meta content="10; url=res_grupos_AG.php" HTTP-EQUIV="REFRESH">';
	}    

if($res == "ok"){	 
    $var2=(isset($_POST['tap2']))?$_POST['tap2']:"";
		echo '<h2>\A1\A1\A1NUEVO GRUPO AGREGADO!!!'.$var2.'</h2>';
		echo '<meta content="1; url=res_grupos_PR.php"  HTTP-EQUIV="REFRESH">';
	}else{
		echo '<h2>\A1\A1\A1NO SE HA PODIDO AGREGAR EL GRUPO!!!</h2>';
		echo $res;
		echo '<meta content="1; url=res_grupos_PR.php" HTTP-EQUIV="REFRESH">';
	} 

mysqli_close($con);
?>
</body>
</html>
<?php 
//575 ultima actualizacion 27/julio/2011
// 958 --> 575 ultima actualizacion 22/enero/2014
?>
